Bug 182462 - error: %post(avahi-0.6.6-3.1.x86_64) scriptlet failed, exit status 127
error: %post(avahi-0.6.6-3.1.x86_64) scriptlet failed, exit status 127
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Depends On:
  Show dependency treegraph
Reported: 2006-02-22 13:25 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-25 17:10:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-02-22 13:25:40 EST
Description of problem:
In my install.log from a fresh FC5T3 install:

Installing avahi-0.6.6-3.1.i386.
Installing avahi-0.6.6-3.1.x86_64.
error: %post(avahi-0.6.6-3.1.x86_64) scriptlet failed, exit status 127

This is because initscripts (and /sbin/service) and chkconfig are not installed
at this point.  You need a:

Requires(post): initscripts, chkconfig, ldconfig

 in your spec.
Comment 1 Jason Vas Dias 2006-02-23 12:22:53 EST
Now fixed with avahi-0.6.8-1 .

Note You need to log in before you can comment on or make changes to this bug.